#include "WindowOpenClosedBad.h"
#include <SafeString.h>
/*
   WindowOpenClosedBad.cpp
   by Matthew Ford,  2021/12/06
   (c)2021 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.

*/


WindowOpenClosedBad::WindowOpenClosedBad(const char* name) {
  deviceName[0] = '\0'; // memory not initialized by new
  windowState = CLOSED;
  lastChanged = millis();
  cSFA(sfDeviceName, deviceName);
  sfDeviceName = name;
}


const char* WindowOpenClosedBad::getDeviceName() {
  return (const char*)deviceName;
}

windowStateEnum WindowOpenClosedBad::getState() {
  return windowState;
}

void WindowOpenClosedBad::setState(windowStateEnum state) {
  windowState = state;
}

unsigned long WindowOpenClosedBad::getLastChanged() {
  return lastChanged;
}

void WindowOpenClosedBad::setLastChanged(unsigned long ms) {
  lastChanged = ms;
}
