#ifndef LAST_SEEN_OPEN_CLOSED_H
#define LAST_SEEN_OPEN_CLOSED_H
// WindowOpenClosedBad.h
#include <Arduino.h> 
// for uint32_t
/*
   LastSeen.h
   by Matthew Ford,  2021/12/06
   (c)2021 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.

*/

typedef enum WINDOW_STATE_ENUM { CLOSED = 0, OPEN = 1, BAD = 2} windowStateEnum;


class WindowOpenClosedBad {
  public:
    WindowOpenClosedBad(const char*name);
    void setState(windowStateEnum state);
    const char* getDeviceName();
    windowStateEnum getState(); // true if open
    unsigned long getLastChanged();
    void setLastChanged(unsigned long ms);

  private:
    char deviceName[33]; // max length 32 + null
    // these two are updated by the scanner and accessed by the web and tcp connection
    volatile windowStateEnum windowState;
    volatile unsigned long lastChanged;
};


#endif
